package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.AliasClasse;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface AliasClasseService{

	  public List<AliasClasse> obtenerTodos();

	    public AliasClasse obtenerID(Integer id);

	    public AliasClasse suscribirActualizar(AliasClasse entidad) throws BusinessException;

	    public void borrar(AliasClasse entidad);
	    
	    public AliasClasse existe(Integer classe, Integer alias, Integer orgaoConcedente, Integer aliasClasseId);
	    
	    public List<AliasClasse> buscar(Integer classe,Integer alias,Integer orgaoConcedente);
}
